{{#if @isEditor}}
  <a href={{this.value.path}} target={{this.target}} data-link-path={{this.value.path}} {{on "click" this.ignoreAction}}
    ...attributes>

    {{#if this.isMissing}}
      <FaIcon @icon="link-slash" />
    {{/if}}

    {{yield}}
  </a>
{{else}}
  {{#if this.value.route}}
    {{#if this.value.model}}
      <LinkTo target={{this.target}} @route={{this.value.route}} @model={{this.value.model}} ...attributes>
        {{yield}}
      </LinkTo>
    {{else}}
      <LinkTo target={{this.target}} @route={{this.value.route}} ...attributes>
        {{yield}}
      </LinkTo>
    {{/if}}
  {{/if}}

  {{#if this.value.path}}
    <a href={{this.value.path}} target={{this.target}} data-link-path={{this.value.path}}
      {{on "click" (fn this.handleClick this.value.path)}} ...attributes>
      {{yield}}
    </a>
  {{/if}}

  {{#if this.value.url}}
    <a href={{this.value.url}} target={{this.target}} ...attributes>
      {{yield}}
    </a>
  {{/if}}

  {{#if this.value.anchor}}
    <a href={{this.value.anchor}} target={{this.target}} ...attributes>
      {{yield}}
    </a>
  {{/if}}

  {{#if this.isMissing}}
    <div class="d-none missing-link" ...attributes />
  {{/if}}
{{/if}}